#include<bits/stdc++.h>
using namespace std;
long long n, m, br=0, br1=0;
int main(){
    cin >> n >> m;
    if(n%2!=0 && m%2!=0){
        br1=(m*2+2*(n-2));
        br=br1+(((n*m)-br1-1)/2);
        cout << br << endl;
    }else{
        br1=(m*2+2*(n-2));
        br=br1+(((n*m)-br1)/2);
        cout << br << endl;

    }
return 0;
}